Bug 870956 - Active Directory ldap setup for Headpin install fails
Active Directory ldap setup for Headpin install fails
Status: CLOSED CURRENTRELEASE
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.2
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Jordan OMara
Tazim Kolhar
:
Depends On:
Blocks: sam12-tracker
  Show dependency treegraph
 
Reported: 2012-10-29 05:30 EDT by Tazim Kolhar
Modified: 2016-04-25 20:54 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-02 11:34:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Production.log contents (2.18 KB, application/zip)
2012-10-29 05:30 EDT, Tazim Kolhar
no flags Details

  None (edit)
Description Tazim Kolhar 2012-10-29 05:30:23 EDT
Created attachment 634939 [details]
Production.log contents

Description of problem:
Active Directory ldap setup for headpin testing failed .

Version-Release number of selected component (if applicable):
# rpm -qa | grep katello
katello-configure-1.2.0-1.git.265.9575201.el6.noarch
katello-headpin-1.2.1-1.git.215.fcf601d.el6.noarch
katello-common-1.2.1-1.git.215.fcf601d.el6.noarch
katello-cli-1.2.1-1.git.95.b2e3af2.el6.noarch
katello-cli-common-1.2.1-1.git.95.b2e3af2.el6.noarch
katello-glue-candlepin-1.2.1-1.git.215.fcf601d.el6.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-certs-tools-1.1.9-1.el6.noarch
katello-selinux-1.1.2-1.el6.noarch
katello-headpin-all-1.2.1-1.git.215.fcf601d.el6.noarch


How reproducible:
# yum install -y katello-headpin-all
# katello-configure --deployment=headpin --user-name=Administrator --user-pass=****** --user-email=tkolhar@redhat.com --org-name='ACME_Corporation' --ldap-server=cf-ads.lab.eng.pnq.redhat.com --auth-method=ldap --ldap-port=389 --ldap-server-type=':active_directory' --ldap-users-basedn='cn=Users,dc=win-ads,dc=redhat,dc=com' --ldap-group-basedn='cn=Domain Admins,cd=Users,dc=win-ads,dc=redhat,dc=com' --ldap-roles=true --ldap-anon-queries=false --ldap-service-user='Administrator' --ldap-service-pass='******' --ldap-ad-domain='win-ads.redhat.com'


Steps to Reproduce:
1.# yum install -y katello-headpin-all
2.# katello-configure --deployment=headpin --user-name=Administrator --user-pass=****** --user-email=tkolhar@redhat.com --org-name='ACME_Corporation' --ldap-server=cf-ads.lab.eng.pnq.redhat.com --auth-method=ldap --ldap-port=389 --ldap-server-type=':active_directory' --ldap-users-basedn='cn=Users,dc=win-ads,dc=redhat,dc=com' --ldap-group-basedn='cn=Domain Admins,cd=Users,dc=win-ads,dc=redhat,dc=com' --ldap-roles=true --ldap-anon-queries=false --ldap-service-user='Administrator' --ldap-service-pass='******' --ldap-ad-domain='win-ads.redhat.com'
3.# headpin -u Administrator -p Redhat@1234 version
operation failed

  
Actual results:
Failed to execute cil commands as well as access WEB UI with
credentials Administrator/*****

Expected results:
Sucessful ADS configuration for Headpin server
production.log attached

Additional info:
Comment 1 Jordan OMara 2012-10-29 13:20:51 EDT
Which version of ldap fluff did you have installed?
Comment 2 Jordan OMara 2012-10-29 13:21:24 EDT
To be specific, rpm -qa rubygem-ldap_fluff
Comment 3 Og Maciel 2012-10-29 20:04:20 EDT
# rpm -qa rubygem-ldap_fluff
rubygem-ldap_fluff-0.1.1-2.el6.noarch
Comment 4 Jordan OMara 2012-10-30 08:58:57 EDT
You guys need to be on 0.1.2, this is an issue that was fixed in that version. Where are you installing this from?
Comment 5 Tazim Kolhar 2012-10-30 09:15:53 EDT
The repo location used for 
installation (headpin upstream) :

headpin :
http://fedorapeople.org/groups/katello/releases/yum/nightly/RHEL/6Server/x86_64/

candlepin :
http://fedorapeople.org/groups/katello/releases/yum/katello-1.1-candlepin/RHEL/6Server/x86_64/
Comment 6 Jordan OMara 2012-11-02 11:34:27 EDT
Nightly repo should now contain teh correct version. Closing this

Note You need to log in before you can comment on or make changes to this bug.